﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AdminPanel.aspx.cs" Inherits="FTP2Web.AdminPanel"
    MaintainScrollPositionOnPostback="true" StylesheetTheme="Default" EnableEventValidation="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Administrator control panel</title>
    <link rel="stylesheet" type="text/css" href="Styles.css" />

    <script type="text/javascript" src="Scripts/AdminPanel.js"></script>

    <script type="text/javascript" src="Scripts/prototype.js"></script>

    <script type="text/javascript" src="Scripts/scriptaculous.js"></script>

    <script type="text/javascript" src="Scripts/HelpBalloon.js"></script>

    <script type="text/javascript" src="Scripts/ToolTips.js"></script>

</head>
<body>
    <form id="formAdminPanel" runat="server">
    <asp:ScriptManager ID="scriptManager" runat="server" OnAsyncPostBackError="scriptManager_AsyncPostBackError">
    </asp:ScriptManager>

    <script type="text/javascript" src="Scripts/Common.js"></script>

    <table style="width: 100%;">
        <tr>
            <td width="30%">
                <asp:Image ID="imgWelcome" runat="server" BorderStyle="None" ImageAlign="AbsMiddle"
                    ImageUrl="~/Images/user.gif" />
                <asp:Label ID="lblWelcome" runat="server" Text="Welcome, " EnableViewState="False"></asp:Label>
            </td>
            <td align="center" width="40%">
                <asp:Image ID="imgAdminPanel" runat="server" BorderStyle="None" ImageAlign="AbsMiddle"
                    ImageUrl="~/Images/adminpanel.gif" />
                &nbsp;<asp:Label ID="lblPanelCaption" runat="server" Text="Administrator control panel"
                    EnableViewState="False" Font-Bold="True" Font-Size="10pt" CssClass="tipTitle"></asp:Label>
                <br />
                <asp:LinkButton ID="lbSwitchPanel" runat="server" Font-Size="10px" OnClick="lbSwitchPanel_Click">Switch to user panel</asp:LinkButton>
            </td>
            <td align="right" width="30%">
                &nbsp;
                <asp:Image ID="imgLogout" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/exit.gif" />
                <asp:LinkButton ID="lbLogout" runat="server" Font-Bold="True" OnClick="lbLogout_Click"
                    Height="16px">Logout</asp:LinkButton>
            </td>
        </tr>
    </table>
    <hr />
    <asp:Panel ID="pnError" runat="server" BackColor="#FFEDE9" BorderColor="#FFC3B5"
        BorderStyle="Solid" BorderWidth="2px" EnableViewState="False" CssClass="panelError">
        <asp:Label ID="lblError" runat="server" Text="Error" Font-Bold="True" ForeColor="Maroon">
        </asp:Label>
    </asp:Panel>
    <br />
    <table width="99%" cellpadding="0px" cellspacing="0px">
        <tr>
            <td align="center" id="tdAccountsView" style="width: 100px; height: 22px;" class="tabHeader">
                <asp:Image ID="imgAccountsView" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/menuaccounts.gif" />
                <a id="selectAccountsView" href="#" onclick="selectView('pnAccountsView'); return false;"
                    style="font-size: 10pt; font-weight: bold; text-decoration: none;">Accounts</a>
            </td>
            <td align="center" id="tdFoldersView" style="width: 95px;" class="tabHeader">
                <asp:Image ID="imgFoldersView" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/menufolders.gif" />
                <a id="selectFoldersView" href="#" onclick="selectView('pnFoldersView'); return false;"
                    style="font-size: 10pt; font-weight: bold; text-decoration: none;">Folders</a>
            </td>
            <td align="center" id="tdSettingsView" style="width: 100px;" class="tabHeader">
                <asp:Image ID="imgSettingsView" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/menusettings.gif" />
                <a id="selectSettingsView" href="#" onclick="selectView('pnSettingsView'); return false;"
                    style="font-size: 10pt; font-weight: bold; text-decoration: none;">Settings</a>
            </td>
            <td align="center" id="tdLicenseView" style="width: 90px;" class="tabHeader">
                <asp:Image ID="imgLicenseView" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/key.gif" />
                <a id="selectLicenseView" href="#" onclick="selectView('pnLicenseView'); return false;"
                    style="font-size: 10pt; font-weight: bold; text-decoration: none;">License</a>
            </td>
            <td align="right">
                <img align="absmiddle" src="Images/help.gif" />
                <a href="Help/adminguide.htm" target="_blank"><b>Help</b></a>
            </td>
        </tr>
    </table>
    <br />
    <asp:Panel ID="pnAccountsView" runat="server">
        <asp:UpdatePanel ID="upAdmins" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <div>
                    <asp:ObjectDataSource ID="odsAdmins" runat="server" SelectMethod="GetAdmins" TypeName="FTP2Web.AdminManager"
                        DataObjectTypeName="FTP2Web.AdminAccount" DeleteMethod="DeleteAdmin" InsertMethod="AddAdmin"
                        UpdateMethod="UpdateAdmin">
                        <UpdateParameters>
                            <asp:Parameter Name="name" Type="String" />
                            <asp:Parameter Name="password" Type="String" />
                        </UpdateParameters>
                        <InsertParameters>
                            <asp:Parameter Name="name" Type="String" />
                            <asp:Parameter Name="password" Type="String" />
                        </InsertParameters>
                    </asp:ObjectDataSource>
                </div>
                <asp:Panel ID="pnAdmins" runat="server" GroupingText="Administrators" Width="325px">
                    <asp:GridView ID="gvAdmins" runat="server" DataKeyNames="Name" DataSourceID="odsAdmins"
                        Width="300px" OnSelectedIndexChanged="gvAdmins_SelectedIndexChanged" AutoGenerateColumns="False"
                        OnRowDataBound="gvAdmins_RowDataBound" EmptyDataText="No administrators defined"
                        OnRowCreated="gvAdmins_RowCreated" OnDataBound="gvAdmins_DataBound">
                        <Columns>
                            <asp:CommandField ButtonType="Link" DeleteText="<img src='Images/delete.gif' border='0' />"
                                ShowDeleteButton="True">
                                <HeaderStyle Width="16px" />
                            </asp:CommandField>
                            <asp:CommandField SelectImageUrl="~/Images/adminedit.gif" ShowSelectButton="True"
                                ButtonType="Image" SelectText="Edit this account">
                                <HeaderStyle Width="20px" />
                            </asp:CommandField>
                            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name">
                                <HeaderStyle Wrap="False" />
                                <ItemStyle Wrap="False" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Password" HeaderText="Password" SortExpression="Password">
                                <HeaderStyle Wrap="False" />
                                <ItemStyle Wrap="False" />
                            </asp:BoundField>
                        </Columns>
                    </asp:GridView>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnToggleAddAdmin" runat="server" Width="325px">
                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <asp:Image ID="imgNewAdmin" runat="server" BorderStyle="None" ImageAlign="AbsMiddle"
                                    ImageUrl="~/Images/adminadd.gif" />
                                <asp:LinkButton ID="lbNewAdmin" runat="server" Font-Bold="True" OnClick="lbNewAdmin_Click">New administrator</asp:LinkButton>
                            </td>
                            <td align="right">
                                <asp:UpdateProgress ID="uprgAdmins" runat="server" DisplayAfter="100" AssociatedUpdatePanelID="upAdmins">
                                    <ProgressTemplate>
                                        <asp:Image ID="imgProgressAdmins" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/ajaxload.gif" />
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnAddAdmin" runat="server" GroupingText="Administrator properties"
                    Height="189px" Width="327px" Visible="False">
                    <table style="width: 99%;">
                        <tr>
                            <td style="width: 120px;">
                                Name:
                            </td>
                            <td style="width: 179px;">
                                <asp:TextBox ID="txtNewAdminName" runat="server" Width="160px" ValidationGroup="NewAdmin"
                                    EnableViewState="False"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvNewAdminName" runat="server" ControlToValidate="txtNewAdminName"
                                    ErrorMessage="Name cannot be empty." ValidationGroup="NewAdmin">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revNewAdminName" runat="server" ControlToValidate="txtNewAdminName"
                                    ErrorMessage="Invalid user name." ValidationExpression="[\w]*" ValidationGroup="NewAdmin"
                                    Display="None">*</asp:RegularExpressionValidator>
                                <asp:CustomValidator ID="cvNewAdminName" runat="server" ControlToValidate="txtNewAdminName"
                                    Display="None" ErrorMessage="This name already exists in the database. " ValidationGroup="NewAdmin"
                                    OnServerValidate="cvNewAdminName_ServerValidate">*</asp:CustomValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 120px;">
                                Password:
                            </td>
                            <td style="width: 179px;">
                                <asp:TextBox ID="txtNewAdminPassword" runat="server" Width="160px" TextMode="Password"
                                    ValidationGroup="NewAdmin" EnableViewState="False"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvNewAdminPassword" runat="server" ControlToValidate="txtNewAdminPassword"
                                    ErrorMessage="Password cannot be empty." ValidationGroup="NewAdmin">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revNewAdminPassword" runat="server" ControlToValidate="txtNewAdminPassword"
                                    ErrorMessage="Invalid password." ValidationExpression="[\w| !&quot;В§$%&amp;/()=\-?@]*"
                                    ValidationGroup="NewAdmin" Display="None">*</asp:RegularExpressionValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 120px;">
                                Confirm password:
                            </td>
                            <td style="width: 179px;">
                                <asp:TextBox ID="txtNewAdminPasswordConfirm" runat="server" Width="160px" TextMode="Password"
                                    ValidationGroup="NewAdmin" EnableViewState="False"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvNewAdminPasswordConfirm" runat="server" ControlToValidate="txtNewAdminPasswordConfirm"
                                    ErrorMessage="Confirm password cannot be empty." ValidationGroup="NewAdmin">*</asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="cvAdminPasswordsMatch" runat="server" ControlToCompare="txtNewAdminPasswordConfirm"
                                    ControlToValidate="txtNewAdminPassword" Display="None" ErrorMessage="Confirm password does not match."
                                    ValidationGroup="NewAdmin">*</asp:CompareValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 120px;" height="30">
                                &nbsp;
                            </td>
                            <td style="width: 179px;">
                                <asp:Button ID="btnAddUpdateAdmin" runat="server" OnClick="btnAddUpdateAdmin_Click"
                                    Text="Add" ValidationGroup="NewAdmin" CommandName="Add" />
                                <asp:Button ID="btnEditAdminCancel" runat="server" OnClick="btnEditAdminCancel_Click"
                                    Text="Cancel" />
                            </td>
                        </tr>
                    </table>
                    <asp:ValidationSummary ID="vsNewAdmin" runat="server" ValidationGroup="NewAdmin" />
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>
        <asp:UpdatePanel ID="upGroups" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:ObjectDataSource ID="odsGroups" runat="server" DataObjectTypeName="FTP2Web.GroupAccount"
                    DeleteMethod="DeleteGroup" InsertMethod="AddGroup" OnObjectCreating="odsGroups_ObjectCreating"
                    SelectMethod="GetGroups" TypeName="FTP2Web.AccountManager" UpdateMethod="UpdateGroup">
                </asp:ObjectDataSource>
                <asp:ObjectDataSource ID="odsNTGroups" runat="server" DataObjectTypeName="FTP2Web.GroupAccount"
                    DeleteMethod="DeleteGroup" InsertMethod="AddGroup" OnObjectCreating="odsGroups_ObjectCreating"
                    SelectMethod="GetGroups" TypeName="FTP2Web.NTAccountManager" UpdateMethod="UpdateGroup">
                </asp:ObjectDataSource>
                <asp:Panel ID="pnGroups" runat="server" GroupingText="Groups" Width="500px">
                    <asp:GridView ID="gvGroups" runat="server" AutoGenerateColumns="False" DataKeyNames="Id"
                        DataSourceID="odsGroups" EmptyDataText="No groups defined" OnRowDeleted="gvGroups_RowDeleted"
                        OnRowUpdated="gvGroups_RowUpdated" OnSelectedIndexChanged="gvGroups_SelectedIndexChanged"
                        Width="480px" OnRowCreated="gvGroups_RowCreated" OnRowDataBound="gvGroups_RowDataBound"
                        OnRowDeleting="gvGroups_RowDeleting">
                        <Columns>
                            <asp:CommandField ButtonType="Link" DeleteText="<img src='Images/delete.gif' border='0' />"
                                ShowDeleteButton="True">
                                <HeaderStyle Width="16px" />
                            </asp:CommandField>
                            <asp:CommandField ButtonType="Image" SelectImageUrl="~/Images/groupedit.gif" SelectText="Edit this group"
                                ShowSelectButton="True">
                                <HeaderStyle Width="20px" />
                            </asp:CommandField>
                            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name">
                                <HeaderStyle Wrap="False" />
                                <ItemStyle Wrap="False" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Users" HeaderText="Users" SortExpression="Users">
                                <HeaderStyle Wrap="False" />
                                <ItemStyle Wrap="False" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Description" HeaderText="Description" SortExpression="Description"
                                Visible="False">
                                <HeaderStyle Wrap="False" />
                                <ItemStyle Wrap="False" />
                            </asp:BoundField>
                        </Columns>
                    </asp:GridView>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnToggleAddGroup" runat="server" Width="500px">
                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <asp:Image ID="imgNewGroup" runat="server" BorderStyle="None" ImageAlign="AbsMiddle"
                                    ImageUrl="~/Images/groupadd.gif" />
                                <asp:LinkButton ID="lbNewGroup" runat="server" Font-Bold="True" OnClick="lbNewGroup_Click">New group</asp:LinkButton>
                            </td>
                            <td align="right">
                                <asp:UpdateProgress ID="uprgGroups" runat="server" DisplayAfter="100" AssociatedUpdatePanelID="upGroups">
                                    <ProgressTemplate>
                                        <asp:Image ID="imgProgressGroups" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/ajaxload.gif" />
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnAddGroup" runat="server" GroupingText="Group properties" Width="440px"
                    Visible="False">
                    <table style="width: 98%;">
                        <tr>
                            <td style="width: 85px;">
                                Name:
                            </td>
                            <td>
                                <asp:TextBox ID="txtNewGroupName" runat="server" EnableViewState="False" ValidationGroup="NewGroup"
                                    Width="300px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvNewGroupName" runat="server" ControlToValidate="txtNewGroupName"
                                    ErrorMessage="Name cannot be empty." ValidationGroup="NewGroup">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revNewGroupName" runat="server" ControlToValidate="txtNewGroupName"
                                    Display="None" ErrorMessage="Invalid group name." ValidationExpression="[\w]*"
                                    ValidationGroup="NewGroup" Enabled="False">*</asp:RegularExpressionValidator>
                                <asp:CustomValidator ID="cvNewGroupName" runat="server" ControlToValidate="txtNewGroupName"
                                    Display="None" ErrorMessage="This name already exists in the database. " OnServerValidate="cvNewGroupName_ServerValidate"
                                    ValidationGroup="NewGroup">*</asp:CustomValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 85px;">
                                Description:
                            </td>
                            <td>
                                <asp:TextBox ID="txtNewGroupDescription" runat="server" EnableViewState="False" ValidationGroup="NewGroup"
                                    Width="300px"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 85px;" valign="top">
                                <asp:Label ID="lblGroupMembers" runat="server" ForeColor="Black" Text="Members:"></asp:Label>
                            </td>
                            <td>
                                <asp:CheckBoxList ID="cblAvailableUsers" runat="server" BorderColor="Silver" BorderStyle="Solid"
                                    BorderWidth="1px" DataSourceID="odsUsers" DataTextField="Name" Width="305px">
                                </asp:CheckBoxList>
                            </td>
                        </tr>
                        <tr>
                            <td height="30" style="width: 85px;">
                                &nbsp;
                            </td>
                            <td>
                                <asp:Button ID="btnAddUpdateGroup" runat="server" CommandName="Add" OnClick="btnAddUpdateGroup_Click"
                                    Text="Add" ValidationGroup="NewGroup" />
                                <asp:Button ID="btnEditGroupCancel" runat="server" OnClick="btnEditGroupCancel_Click"
                                    Text="Cancel" />
                            </td>
                        </tr>
                    </table>
                    <asp:ValidationSummary ID="vsNewGroup" runat="server" ValidationGroup="NewGroup" />
                </asp:Panel>
                <br />
            </ContentTemplate>
        </asp:UpdatePanel>
        <asp:UpdatePanel ID="upUsers" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:ObjectDataSource ID="odsUsers" runat="server" DataObjectTypeName="FTP2Web.UserAccount"
                    DeleteMethod="DeleteUser" InsertMethod="AddUser" OnObjectCreating="odsUsers_ObjectCreating"
                    SelectMethod="GetUsers" TypeName="FTP2Web.AccountManager" UpdateMethod="UpdateUser">
                </asp:ObjectDataSource>
                <asp:ObjectDataSource ID="odsNTUsers" runat="server" DataObjectTypeName="FTP2Web.UserAccount"
                    DeleteMethod="DeleteUser" InsertMethod="AddUser" OnObjectCreating="odsUsers_ObjectCreating"
                    SelectMethod="GetUsers" TypeName="FTP2Web.NTAccountManager" UpdateMethod="UpdateUser">
                </asp:ObjectDataSource>
                <asp:Panel ID="pnUsers" runat="server" GroupingText="Users" Width="500px">
                    <asp:GridView ID="gvUsers" runat="server" DataKeyNames="Id" DataSourceID="odsUsers"
                        Width="480px" AutoGenerateColumns="False" EmptyDataText="No users defined" OnSelectedIndexChanged="gvUsers_SelectedIndexChanged"
                        OnRowCreated="gvUsers_RowCreated" OnRowDataBound="gvUsers_RowDataBound" OnRowDeleted="gvUsers_RowDeleted"
                        OnRowDeleting="gvUsers_RowDeleting">
                        <Columns>
                            <asp:CommandField ButtonType="Link" DeleteText="<img src='Images/delete.gif' border='0' />"
                                ShowDeleteButton="True">
                                <HeaderStyle Width="16px" />
                            </asp:CommandField>
                            <asp:CommandField ButtonType="Image" SelectImageUrl="~/Images/useredit.gif" ShowSelectButton="True"
                                SelectText="Edit this user">
                                <HeaderStyle Width="20px" />
                            </asp:CommandField>
                            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name">
                                <HeaderStyle Width="120px" Wrap="False" />
                                <ItemStyle Width="120px" Wrap="False" />
                            </asp:BoundField>
                            <asp:TemplateField HeaderText="Password" SortExpression="Password">
                                <ItemTemplate>
                                    <asp:Label ID="lblPassword" runat="server" ForeColor="Black" Text='<%# Bind("Password") %>'></asp:Label>
                                </ItemTemplate>
                                <HeaderTemplate>
                                    Password&nbsp;
                                    <asp:ImageButton ID="ibtnShowPasswords" runat="server" ImageUrl="~/Images/showpasswords.gif"
                                        OnClick="ibtnShowPasswords_Click" Style="width: 16px" />
                                </HeaderTemplate>
                                <HeaderStyle Wrap="False" />
                                <ItemStyle Wrap="False" />
                            </asp:TemplateField>
                            <asp:BoundField DataField="Groups" HeaderText="Groups" SortExpression="Groups" />
                        </Columns>
                    </asp:GridView>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnToggleAddUser" runat="server" Width="500px">
                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <asp:Image ID="imgNewUser" runat="server" BorderStyle="None" ImageAlign="AbsMiddle"
                                    ImageUrl="~/Images/useradd.gif" Width="16px" />
                                <asp:LinkButton ID="lbNewUser" runat="server" Font-Bold="True" OnClick="lbNewUser_Click">New user</asp:LinkButton>
                            </td>
                            <td align="right">
                                <asp:UpdateProgress ID="uprgUsers" runat="server" DisplayAfter="100" AssociatedUpdatePanelID="upUsers">
                                    <ProgressTemplate>
                                        <asp:Image ID="imgProgressUsers" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/ajaxload.gif" />
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnAddUser" runat="server" GroupingText="User properties" Width="372px"
                    Visible="False">
                    <table style="width: 99%;">
                        <tr>
                            <td nowrap="nowrap">
                                Name:
                            </td>
                            <td nowrap="nowrap">
                                <asp:TextBox ID="txtNewUserName" runat="server" Width="200px" ValidationGroup="NewUser"
                                    EnableViewState="False"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvNewUserName" runat="server" ControlToValidate="txtNewUserName"
                                    ErrorMessage="Name cannot be empty." ValidationGroup="NewUser">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revNewUserName" runat="server" ControlToValidate="txtNewUserName"
                                    ErrorMessage="Invalid user name." ValidationExpression="[\w]*" ValidationGroup="NewUser"
                                    Display="None">*</asp:RegularExpressionValidator>
                                <asp:CustomValidator ID="cvNewUserName" runat="server" ControlToValidate="txtNewUserName"
                                    Display="None" ErrorMessage="This name already exists in the database. " ValidationGroup="NewUser"
                                    OnServerValidate="cvNewUserName_ServerValidate">*</asp:CustomValidator>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                Password:
                            </td>
                            <td nowrap="nowrap">
                                <asp:TextBox ID="txtNewUserPassword" runat="server" Width="200px" ValidationGroup="NewUser"
                                    EnableViewState="False"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvNewUserPassword" runat="server" ControlToValidate="txtNewUserPassword"
                                    ErrorMessage="Password cannot be empty." ValidationGroup="NewUser">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revNewUserPassword" runat="server" ControlToValidate="txtNewUserPassword"
                                    Display="None" ErrorMessage="Invalid password." ValidationExpression="[\w| !&quot;В§$%&amp;/()=\-?@]*"
                                    ValidationGroup="NewUser">*</asp:RegularExpressionValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 135px;">
                                <asp:Label ID="lblUserPasswordConfirm" runat="server" Text="Confirm password:" ForeColor="Black"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox ID="txtNewUserPasswordConfirm" runat="server" EnableViewState="False"
                                    ValidationGroup="NewUser" Width="200px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvNewUserPasswordConfirm" runat="server" ControlToValidate="txtNewUserPasswordConfirm"
                                    ErrorMessage="Confirm password cannot be empty." ValidationGroup="NewUser">*</asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="cvUserPasswordsMatch" runat="server" ControlToCompare="txtNewUserPassword"
                                    ControlToValidate="txtNewUserPasswordConfirm" Display="None" ErrorMessage="Confirm password does not match."
                                    ValidationGroup="NewUser">*</asp:CompareValidator>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                &nbsp;<asp:Label ID="lblGroupMembership" runat="server" ForeColor="Black" Text="Group membership:"></asp:Label>
                            </td>
                            <td nowrap="nowrap">
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" nowrap="nowrap" style="padding-left: 5px">
                                <asp:CheckBoxList ID="cblAvailableGroups" runat="server" BorderColor="Silver" BorderStyle="Solid"
                                    BorderWidth="1px" DataSourceID="odsGroups" DataTextField="Name" Width="330px">
                                </asp:CheckBoxList>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap" height="30">
                                &nbsp;
                            </td>
                            <td>
                                <asp:Button ID="btnAddUpdateUser" runat="server" CommandName="Add" OnClick="btnAddUpdateUser_Click"
                                    Style="height: 21px" Text="Add" ValidationGroup="NewUser" />
                                <asp:Button ID="btnEditUserCancel" runat="server" OnClick="btnEditUserCancel_Click"
                                    Style="height: 21px" Text="Cancel" />
                            </td>
                        </tr>
                    </table>
                    <asp:ValidationSummary ID="vsNewUser" runat="server" ValidationGroup="NewUser" />
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>
    </asp:Panel>
    <asp:Panel ID="pnFoldersView" runat="server">
        <asp:UpdatePanel ID="upFolders" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:ObjectDataSource ID="odsFolders" runat="server" DataObjectTypeName="FTP2Web.FtpFolder"
                    DeleteMethod="DeleteFolder" InsertMethod="AddFolder" OnObjectCreating="odsFolders_ObjectCreating"
                    OnSelecting="odsFolders_Selecting" SelectMethod="GetFolders" TypeName="FTP2Web.FolderManager"
                    UpdateMethod="UpdateFolder"></asp:ObjectDataSource>
                <asp:Panel ID="pnFolders" runat="server" GroupingText="Folders" Width="510px">
                    <asp:GridView ID="gvFolders" runat="server" AutoGenerateColumns="False" DataKeyNames="Id"
                        DataSourceID="odsFolders" EmptyDataText="No folders available" OnRowCommand="gvFolders_RowCommand"
                        OnSelectedIndexChanged="gvFolders_SelectedIndexChanged" OnRowCreated="gvFolders_RowCreated"
                        OnRowDataBound="gvFolders_RowDataBound" OnRowDeleting="gvFolders_RowDeleting">
                        <Columns>
                            <asp:CommandField ButtonType="Link" DeleteText="<img src='Images/delete.gif' border='0' />"
                                ShowDeleteButton="True">
                                <HeaderStyle Width="16px" />
                            </asp:CommandField>
                            <asp:CommandField ButtonType="Image" SelectImageUrl="~/Images/folderedit.gif" SelectText="Edit this folder"
                                ShowSelectButton="True">
                                <HeaderStyle Width="20px" />
                            </asp:CommandField>
                            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name">
                                <HeaderStyle HorizontalAlign="Left" Width="100px" Wrap="False" />
                                <ItemStyle Wrap="False" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Description" HeaderText="Description" SortExpression="Description">
                                <HeaderStyle HorizontalAlign="Left" Wrap="False" Width="120px" />
                                <ItemStyle Wrap="False" />
                            </asp:BoundField>
                            <asp:BoundField DataField="OwnerName" HeaderText="Owner" SortExpression="OwnerName">
                                <HeaderStyle HorizontalAlign="Left" Width="100px" Wrap="False" />
                                <ItemStyle Wrap="False" />
                            </asp:BoundField>
                            <asp:BoundField DataField="CreatorName" HeaderText="Creator" SortExpression="CreatorName">
                                <HeaderStyle HorizontalAlign="Left" Width="100px" Wrap="False" />
                                <ItemStyle Wrap="False" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Permissions" HeaderText="Permissions" SortExpression="Permissions">
                                <HeaderStyle HorizontalAlign="Left" Width="90px" Wrap="False" />
                                <ItemStyle Wrap="False" />
                            </asp:BoundField>
                            <asp:TemplateField HeaderText="Open">
                                <ItemTemplate>
                                    <asp:ImageButton ID="ibtnOpenFolder" runat="server" CommandArgument='<%# Eval("Id") %>'
                                        CommandName="OpenFolder" ImageUrl="~/Images/folderopen.gif" ToolTip="Open folder"
                                        Visible="False" />
                                    <asp:HyperLink ID="hlOpenFolder" runat="server" ImageUrl="~/Images/folderopen.gif"
                                        Target="_blank"></asp:HyperLink>
                                </ItemTemplate>
                                <ItemStyle HorizontalAlign="Center" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnToggleAddFolder" runat="server" Width="460px">
                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <asp:Image ID="imgNewFolder" runat="server" BorderStyle="None" ImageAlign="AbsMiddle"
                                    ImageUrl="~/Images/folderadd.gif" />
                                <asp:LinkButton ID="lbNewFolder" runat="server" Font-Bold="True" OnClick="lbNewFolder_Click">New folder</asp:LinkButton>
                            </td>
                            <td>
                                &nbsp;
                            </td>
                            <td align="right">
                                <asp:UpdateProgress ID="uprgFolders" runat="server" AssociatedUpdatePanelID="upFolders"
                                    DisplayAfter="100">
                                    <ProgressTemplate>
                                        <asp:Image ID="imgProgressFolders" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/ajaxload.gif" />
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnAddFolder" runat="server" GroupingText="Folder properties" Width="440px"
                    Visible="False">
                    <table style="width: 99%;">
                        <tr>
                            <td style="width: 85px;">
                                Name:
                            </td>
                            <td>
                                <asp:TextBox ID="txtNewFolderName" runat="server" EnableViewState="False" ValidationGroup="NewFolder"
                                    Width="300px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvNewFolderName" runat="server" ControlToValidate="txtNewFolderName"
                                    ErrorMessage="Name cannot be empty." ValidationGroup="NewFolder">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revNewFolderName" runat="server" ControlToValidate="txtNewFolderName"
                                    Display="None" ErrorMessage="Invalid folder name." ValidationExpression="[\w]*"
                                    ValidationGroup="NewFolder">*</asp:RegularExpressionValidator>
                                <asp:CustomValidator ID="cvNewFolderName" runat="server" ControlToValidate="txtNewFolderName"
                                    Display="None" ErrorMessage="This name already exists in the database. " OnServerValidate="cvNewFolderName_ServerValidate"
                                    ValidationGroup="NewFolder" Enabled="False">*</asp:CustomValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 85px;">
                                Description:
                            </td>
                            <td>
                                <asp:TextBox ID="txtNewFolderDescription" runat="server" EnableViewState="False"
                                    ValidationGroup="NewFolder" Width="300px"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 85px;">
                                Owner:
                            </td>
                            <td>
                                <asp:DropDownList ID="ddlAvailableOwners" runat="server" Width="305px">
                                </asp:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 85px; vertical-align: top;">
                                Physical location:
                            </td>
                            <td nowrap="nowrap">
                                <asp:Panel ID="pnFolderLocation" runat="server" GroupingText="Filesystem path" Width="310px">
                                    <asp:RadioButton ID="rbDefaultLocation" runat="server" Checked="True" GroupName="FolderLocation"
                                        Text="Default location" EnableViewState="False" /><br />
                                    <asp:RadioButton ID="rbCustomLocation" runat="server" GroupName="FolderLocation"
                                        Text="Custom or templated location" EnableViewState="False" /><br />
                                    <table>
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="txtNewFolderLocation" runat="server" Width="260px" EnableViewState="False"></asp:TextBox>
                                                <asp:CustomValidator ID="cvNewFolderLocation" runat="server" ControlToValidate="txtNewFolderLocation"
                                                    Display="None" ErrorMessage="Incorrect folder location. " ValidationGroup="NewFolder"
                                                    OnServerValidate="cvNewFolderLocation_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                            <td>
                                                <div id="dhbFolderLocation" style="margin-left: 3px">
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblDemo" runat="server" Visible="False"></asp:Label>
                                            </td>
                                            <td>
                                                &nbsp;
                                            </td>
                                        </tr>
                                    </table>
                                </asp:Panel>
                            </td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 85px; vertical-align: middle;">
                                Permissions:
                            </td>
                            <td nowrap="nowrap">
                                <table>
                                    <tr>
                                        <td nowrap="nowrap">
                                            <asp:CheckBox ID="cbAllowRead" runat="server" Text="Read" EnableViewState="False"
                                                Checked="True" />
                                            <asp:CheckBox ID="cbAllowWrite" runat="server" Text="Write" EnableViewState="False" />
                                        </td>
                                        <td>
                                            <div id="dhbFolderPermissions" runat="server" style="margin-left: 5px">
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 85px;">
                                &nbsp;
                            </td>
                            <td>
                                <table>
                                    <tr>
                                        <td nowrap="nowrap">
                                            <asp:CheckBox ID="cbConcealFtpName" runat="server" EnableViewState="False" Text="Create concealed FTP virtual directory name" />
                                        </td>
                                        <td>
                                            <div id="dhbConcealFtpName" runat="server" style="margin-left: 5px">
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td height="30" style="width: 85px;">
                                &nbsp;
                            </td>
                            <td>
                                <asp:Button ID="btnAddUpdateFolder" runat="server" CommandName="Add" OnClick="btnAddUpdateFolder_Click"
                                    Text="Add" ValidationGroup="NewFolder" />
                                <asp:Button ID="btnEditFolderCancel" runat="server" OnClick="btnEditFolderCancel_Click"
                                    Text="Cancel" />
                            </td>
                        </tr>
                    </table>
                    <asp:ValidationSummary ID="vsNewFolder" runat="server" ValidationGroup="NewFolder" />
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>
    </asp:Panel>
    <asp:Panel ID="pnSettingsView" runat="server">
        <asp:UpdatePanel ID="upSettings" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblAuthMode" runat="server" Text="User authentication mode:" Width="160px"
                                ForeColor="Black"></asp:Label>
                        </td>
                        <td valign="middle">
                            <asp:DropDownList ID="ddlAuthMode" runat="server" Width="100px">
                                <asp:ListItem>Forms</asp:ListItem>
                                <asp:ListItem>Windows</asp:ListItem>
                            </asp:DropDownList>
                        </td>
                        <td>
                            <div id="dhbAuthentication" style="margin-left: 3px">
                            </div>
                        </td>
                    </tr>
                </table>
                <br />
                <asp:Panel ID="pnWinAuthSettings" runat="server" GroupingText="Windows account location"
                    Width="385px" CssClass="panel">
                    <table>
                        <tr>
                            <td colspan="2" nowrap="nowrap">
                                <asp:RadioButton ID="rbLocalComputer" runat="server" Checked="True" GroupName="AccountStore"
                                    Text="Local computer" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" nowrap="nowrap">
                                <asp:RadioButton ID="rbActiveDirectory" runat="server" GroupName="AccountStore" Text="Active Directory organizational unit" />
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 2px;" nowrap="nowrap">
                                &nbsp;
                            </td>
                            <td nowrap="nowrap">
                                <asp:TextBox ID="txtDirectoryRoot" runat="server" Style="margin-left: 0px" ValidationGroup="Settings"
                                    Width="330px"></asp:TextBox>
                                <asp:CustomValidator ID="cvDirectoryRoot" runat="server" ControlToValidate="txtDirectoryRoot"
                                    Display="None" ErrorMessage="Specified Active Directory path not exists." ValidationGroup="Settings"
                                    OnServerValidate="cvDirectoryRoot_ServerValidate">*</asp:CustomValidator>
                            </td>
                            <td>
                                <div id="dhbAccountLocation" style="margin-left: 3px">
                                </div>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnUserPermissionSettings" runat="server" GroupingText="User permission settings"
                    Width="470px">
                    <table>
                        <tr>
                            <td nowrap="nowrap">
                                <asp:CheckBox ID="cbAllowRegistration" runat="server" Text="Allow user self-registration in the system (Forms Authentication only)" />
                            </td>
                            <td>
                                <div id="dhbAllowRegistration" style="margin-left: 10px">
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                <asp:CheckBox ID="cbEnableFolderBrowser" runat="server" Text="Enable folder browser (and locking in case of Windows Authentication)" />
                            </td>
                            <td>
                                <div id="dhbEnableBrowser" style="margin-left: 10px">
                                </div>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnDataStorageSettings" runat="server" GroupingText="Folders and data storage"
                    Width="465px">
                    <table>
                        <tr>
                            <td nowrap="nowrap">
                                Filesystem root path:
                            </td>
                            <td nowrap="nowrap">
                                <asp:TextBox ID="txtFilesystemRoot" runat="server" Style="margin-left: 0px" ValidationGroup="Settings"
                                    Width="250px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvFilesystemRoot" runat="server" ControlToValidate="txtFilesystemRoot"
                                    ErrorMessage="Path cannot be empty." ValidationGroup="Settings">*</asp:RequiredFieldValidator>
                                <asp:CustomValidator ID="cvFilesystemRoot" runat="server" ControlToValidate="txtFilesystemRoot"
                                    Display="None" ErrorMessage="Specified filesystem path not exists." OnServerValidate="cvFilesystemRoot_ServerValidate"
                                    ValidationGroup="Settings">*</asp:CustomValidator>
                            </td>
                            <td>
                                <div id="dhbFilesystemRoot">
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                FTP site root path:
                            </td>
                            <td nowrap="nowrap">
                                <asp:TextBox ID="txtFtpRoot" runat="server" ValidationGroup="Settings" Width="250px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvFtpRoot" runat="server" ControlToValidate="txtFtpRoot"
                                    ErrorMessage="Path cannot be empty." ValidationGroup="Settings">*</asp:RequiredFieldValidator>
                                <asp:CustomValidator ID="cvFtpRoot" runat="server" ControlToValidate="txtFtpRoot"
                                    Display="None" ErrorMessage="Specified FTP site not exists." OnServerValidate="cvFtpRoot_ServerValidate"
                                    ValidationGroup="Settings">*</asp:CustomValidator><br />
                            </td>
                            <td>
                                <div id="dhbFtpRoot">
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                FTP host name or address:
                            </td>
                            <td nowrap="nowrap">
                                <asp:TextBox ID="txtFtpHost" runat="server" ValidationGroup="Settings" Width="250px"></asp:TextBox>
                                <br />
                            </td>
                            <td>
                                <div id="dhbFtpHost">
                                </div>
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td>
                                <asp:CheckBox ID="cbAllowCreateFolders" runat="server" Text="Allow users to create folders themselves" />
                            </td>
                            <td>
                                <div id="dhbAllowCreateFolders" style="margin-left: 10px">
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:CheckBox ID="cbDeleteFtpDirectories" runat="server" Text="Delete FTP directories automatically" />
                            </td>
                            <td>
                                <div id="dhbDeleteFtpDirectories" style="margin-left: 10px">
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:CheckBox ID="cbDeleteFilesystemDirectories" runat="server" Text="Delete filesystem directories automatically" />
                            </td>
                            <td>
                                <div id="dhbDeleteFilesystemDirectories" style="margin-left: 10px">
                                </div>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <br />
                <asp:Panel ID="pnOperationAccount" runat="server" GroupingText="Operation account"
                    Width="320px">
                    <table style="width: 100%;">
                        <tr>
                            <td nowrap="nowrap">
                                Name:
                            </td>
                            <td nowrap="nowrap">
                                <asp:TextBox ID="txtOperationAccountName" runat="server" Width="160px" ValidationGroup="Settings"></asp:TextBox>
                                <asp:RegularExpressionValidator ID="revOperationAccountName" runat="server" ControlToValidate="txtOperationAccountName"
                                    Display="None" ErrorMessage="Invalid user name." ValidationExpression="[\w]*"
                                    ValidationGroup="Settings" Enabled="False">*</asp:RegularExpressionValidator>
                                <asp:CustomValidator ID="cvOperationAccountName" runat="server" ControlToValidate="txtOperationAccountName"
                                    Display="None" ErrorMessage="Unable to logon with specified credentials" ValidationGroup="Settings"
                                    OnServerValidate="cvOperationAccountName_ServerValidate">*</asp:CustomValidator>
                            </td>
                            <td>
                                <div id="dhbOperationAccount" style="margin-left: 3px">
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                Password:
                            </td>
                            <td nowrap="nowrap">
                                <asp:TextBox ID="txtOperationAccountPassword" runat="server" Width="160px" ValidationGroup="Settings"
                                    TextMode="Password"></asp:TextBox>
                                <asp:RegularExpressionValidator ID="revOperationAccountPassword" runat="server" ControlToValidate="txtOperationAccountPassword"
                                    Display="None" ErrorMessage="Invalid password." ValidationExpression="[\w| !&quot;В§$%&amp;/()=\-?@]*"
                                    ValidationGroup="Settings" Enabled="False">*</asp:RegularExpressionValidator>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                Confirm password:
                            </td>
                            <td nowrap="nowrap">
                                <asp:TextBox ID="txtOperationAccountPasswordConfirm" runat="server" Style="margin-left: 0px"
                                    TextMode="Password" ValidationGroup="Settings" Width="160px"></asp:TextBox>
                                <asp:CompareValidator ID="cvOperationAccountPasswordConfirm" runat="server" ControlToCompare="txtOperationAccountPassword"
                                    ControlToValidate="txtOperationAccountPasswordConfirm" Display="None" ErrorMessage="Confirm password does not match."
                                    ValidationGroup="Settings">*</asp:CompareValidator>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" nowrap="nowrap">
                                <asp:Label ID="lblAspNetAccount" runat="server" ForeColor="Gray" Text="*ASP.NET account: "
                                    Visible="False"></asp:Label>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <table cellpadding="3">
                    <tr>
                        <td>
                            <asp:Label ID="lblUnableOperationAccount" runat="server" ForeColor="Gray" Text="In Windows Vista/2008 you should use declarative impersonation instead of operation account. See administrator's guide for details."
                                Visible="False"></asp:Label>
                        </td>
                    </tr>
                </table>
                <asp:ValidationSummary ID="vsSettings" runat="server" HeaderText="The settings have not been saved because of following errors:"
                    ValidationGroup="Settings" />
                <table>
                    <tr>
                        <td style="width: 105px;">
                            <asp:Button ID="btnSaveSettings" runat="server" OnClick="btnSaveSettings_Click" Text="Save settings"
                                ValidationGroup="Settings" Width="100px" />
                        </td>
                        <td style="width: 20px;">
                            <asp:UpdateProgress ID="uprgSettings" runat="server" AssociatedUpdatePanelID="upSettings"
                                DisplayAfter="100">
                                <ProgressTemplate>
                                    <asp:Image ID="imgProgressSettings" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/ajaxload.gif" />
                                </ProgressTemplate>
                            </asp:UpdateProgress>
                        </td>
                        <td>
                            <asp:Panel ID="pnSuccessMessage" runat="server" Visible="False">
                                <asp:Image ID="imgSuccessMessage" runat="server" ImageUrl="~/Images/success.gif" />
                                <asp:Label ID="lblSuccessMessage" runat="server" ForeColor="#3E8236" Text="The settings successfully saved."></asp:Label>
                            </asp:Panel>
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
    </asp:Panel>
    <asp:Panel runat="server" ID="pnLicenseView">
        <asp:UpdatePanel ID="upLicense" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Label runat="server" ID="lblLicenseStatus" Text="Your copy of product is registered."
                    ForeColor="Black"></asp:Label>
                <br />
                <br />
                <asp:Panel runat="server" ID="pnLicenseInfo" GroupingText="License information" Width="300px">
                    <table style="margin: 5px; width: 100%;">
                        <tr>
                            <td>
                                <asp:Label ID="lblProductName" runat="server" Text="Product name: " ForeColor="Black"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblProductVersion" runat="server" Text="Product version: " ForeColor="Black"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblLicenseCount" runat="server" Text="License count:  " ForeColor="Black"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblUserCount" runat="server" ForeColor="Black" Text="User count:  "></asp:Label>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <asp:Panel runat="server" ID="pnEnterKey">
                    <table>
                        <tr>
                            <td>
                                License key:
                            </td>
                            <td>
                                <asp:TextBox ID="txtLicenseKey" runat="server" Width="500px" ValidationGroup="Register">
                                </asp:TextBox>
                            </td>
                            <td>
                                <asp:Button ID="btnRegister" runat="server" Text="Register" ValidationGroup="Register"
                                    OnClick="btnRegister_Click" />
                            </td>
                        </tr>
                        <tr style="height: 20px">
                            <td>
                                <asp:UpdateProgress ID="uprgLicense" runat="server" AssociatedUpdatePanelID="upLicense"
                                    DisplayAfter="100">
                                    <ProgressTemplate>
                                        <asp:Image ID="imgProgressLicense" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/ajaxload.gif" />
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </td>
                            <td>
                                <asp:CustomValidator ID="cvRegister" runat="server" ControlToValidate="txtLicenseKey"
                                    ErrorMessage="* The registration key that you entered is invalid." ValidationGroup="Register"
                                    OnServerValidate="cvRegister_ServerValidate" ValidateEmptyText="True">* The 
                        registration key that you entered is invalid.</asp:CustomValidator>
                            </td>
                            <td>
                                &nbsp;
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>
    </asp:Panel>
    <div id="dhbHidden" style="visibility: hidden">
    </div>
    <hr />
    <span style="font-size: 10px; font-weight: bold; color: #345092;">Powered by <a target="_blank"
        href="http://www.element-it.com/FTP2Web.aspx">FTP2Web</a> solution from <a target="_blank"
            href="http://www.element-it.com">Element-IT Software</a></span>
    </form>
</body>
</html>
