﻿
var currentAuthMode;
var currentFtpFolder;

function selectView(idToShow)
{
    document.getElementById(idToShow).style.display = 'block';
    document.getElementById(idToShow.replace('pn', 'td')).style.background = '#EAEAEA';
    if (idToShow != 'pnAccountsView')
    {
        document.getElementById('pnAccountsView').style.display = 'none';
        document.getElementById('tdAccountsView').style.background = '#F4F9FF';
    }
    if (idToShow != 'pnFoldersView')
    {
        document.getElementById('pnFoldersView').style.display = 'none';
        document.getElementById('tdFoldersView').style.background = '#F4F9FF';
    }
    if (idToShow != 'pnSettingsView')
    {
        document.getElementById('pnSettingsView').style.display = 'none';
        document.getElementById('tdSettingsView').style.background = '#F4F9FF';
    }
    if (idToShow != 'pnLicenseView') {
        document.getElementById('pnLicenseView').style.display = 'none';
        document.getElementById('tdLicenseView').style.background = '#F4F9FF';
    }
    setPanelsWidth();
}

function warningPanelHandler(sender, args)
{
    if (document.getElementById('ddlAuthMode') != null)
    {
        currentAuthMode = document.getElementById('ddlAuthMode').value;
        document.getElementById('pnWarningMessage').style.display = 'none';
    }
}

function toggleWarningMessage()
{
    if (document.getElementById('ddlAuthMode') == null) return;
    if (document.getElementById('ddlAuthMode').value != currentAuthMode)
        document.getElementById('pnWarningMessage').style.display = 'block';
    else document.getElementById('pnWarningMessage').style.display = 'none';
}

function fillFolderLocation()
{
    if (document.getElementById('ddlAuthMode') != null) {
        var rootPath = document.getElementById('txtFilesystemRoot').value;
        if (rootPath.charAt(rootPath.length - 1) != '\\') rootPath += '\\';
        document.getElementById('txtNewFolderLocation').value = rootPath +
                        document.getElementById('ddlAvailableOwners').value + '\\' +
                        document.getElementById('txtNewFolderName').value;
    }
}

function toggleOptions(radioButton, textField)
{
    if (document.getElementById(radioButton) != null) {
        document.getElementById(textField).readOnly = document.getElementById(radioButton).checked;
    }
}

function resetFields(passwordId, confirmId)
{
    if (document.getElementById(passwordId).maxlength != '255')
    {
        document.getElementById(passwordId).value = document.getElementById(confirmId).value = '';
        document.getElementById(passwordId).maxlength = '255';
    }
}

function setPanelsWidth()
{
    if (document.getElementById('gvGroups').style.width != 0)
        document.getElementById('pnGroups').style.width = document.getElementById('gvGroups').offsetWidth + 20;
    if (document.getElementById('gvUsers').style.width != 0)
        document.getElementById('pnUsers').style.width = document.getElementById('gvUsers').offsetWidth + 20;
    if (document.getElementById('gvFolders').style.width != 0)
        document.getElementById('pnFolders').style.width = document.getElementById('gvFolders').offsetWidth + 20;
}
